<?php  

$wp_customize->add_section(
    'feature_area',
    array(
        'title' => __('Feature Section', 'luzuk-premium' ),
        'panel' => 'luzuk_premium_home_panel'
    )
);
  // ENABLE/DISABLE FEATURED SECTION
    $wp_customize->add_setting(
        'feature_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'feature_area_disable',
            array(
                'settings'      => 'feature_area_disable',
                'section'       => 'feature_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    );

backgroundManager($wp_customize, 'feature', 'feature_area', $color='#fff', get_template_directory_uri().'/images/feabg.jpg', 'color');

lzCustomLable($wp_customize, 'featuresection_ovelay', 'feature_area', ' Section Image Overlay & Opacity');

$wp_customize->add_setting(
    'feasec_opacity',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0.82', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'feasec_opacity',
    array(
        'settings'      => 'feasec_opacity',
        'section'       => 'feature_area',
        'type'          => 'text',
        'label'         => __( 'Opacity', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'feaarea_imgolyclr', 'feature_area', 'Image Overlay Color ', '#1B4446');


lzCustomLable($wp_customize, 'featuresection_padding', 'feature_area', ' Section Padding ');

$wp_customize->add_setting(
    'feature_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'feature_areaTpadding',
    array(
        'settings'      => 'feature_areaTpadding',
        'section'       => 'feature_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'feature_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'feature_areaBpadding',
    array(
        'settings'      => 'feature_areaBpadding',
        'section'       => 'feature_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'feaearea_conwidth', 'feature_area', 'Section Width ');

$wp_customize->add_setting('fea_c_width',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'container-fluid'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'fea_c_width', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'feature_area', // Replace with your actual section ID
    'settings' => 'fea_c_width',
    'choices'=>array(
       'container' => 'Box Width',
       'container-fluid' => 'Full Width',
       
    )
) ) );


lzCustomLable($wp_customize, 'feaarea_headingaling', 'feature_area', 'Heading Alignment');

$wp_customize->add_setting('fea_maintitle_align',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'left'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'fea_maintitle_align', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'feature_area', // Replace with your actual section ID
    'settings' => 'fea_maintitle_align',
    'choices'=>array(
       'left' => 'Left',
       'center' => 'Center',
       'right' => 'Right',
    )
) ) );

// ********************

$wp_customize->add_setting(
    'fea_heading_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'fea_heading_heading',
        array(
            'settings'      => 'fea_heading_heading',
            'section'       => 'feature_area',
            'label'         => __( 'Section Sub Heading & Heading', 'luzuk' ),
        )
    )
); 

lzCustomLable($wp_customize, 'fea_subheadingcase', 'feature_area', 'Sub Heading Style');

$wp_customize->add_setting('fea_subtitle_case',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'capitalize'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'fea_subtitle_case', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'feature_area', // Replace with your actual section ID
    'settings' => 'fea_subtitle_case',
    'choices'=>array(
       'uppercase' => 'Uppercase',
       'lowercase' => 'Lowercase',
       'capitalize' => 'Capitalize',
    )
) ) );


$wp_customize->add_setting(
    'fea_subtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Why we stand out ', 'luzuk' )
    )
);
$wp_customize->add_control(
    'fea_subtitle',
    array(
        'settings'      => 'fea_subtitle',
        'section'       => 'feature_area',
        'type'          => 'text',
        'label'         => __( 'Sub Heading', 'luzuk' )
    )
); 

addColorPalatOption($wp_customize, 'fea_subHeading', 'feature_area', 'Sub Heading Color', '#fff');

addColorPalatOption($wp_customize, 'fea_subHeadingbrd', 'feature_area', 'Sub Heading Border Color', '#BCBCBC');

lzCustomLable($wp_customize, 'fea_headingcase', 'feature_area', 'Heading Style');

$wp_customize->add_setting('fea_maintitle_case',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'uppercase'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'fea_maintitle_case', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'feature_area', // Replace with your actual section ID
    'settings' => 'fea_maintitle_case',
    'choices'=>array(
       'uppercase' => 'Uppercase',
       'lowercase' => 'Lowercase',
       'capitalize' => 'Capitalize',
    )
) ) );

$wp_customize->add_setting(
    'fea_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'DISCOVER POWERFUL FEATURES ', 'luzuk' )
    )
);
$wp_customize->add_control(
    'fea_heading',
    array(
        'settings'      => 'fea_heading',
        'section'       => 'feature_area',
        'type'          => 'text',
        'label'         => __( 'Heading', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'fea_secheadingClr', 'feature_area', 'Heading Color', '#fff');


$wp_customize->add_setting(
    'fea_txt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( "Lorem Ipsum Is Simply Dummy Text Of The Printing And Typesetting Industry. Lorem Ipsum Has Been The Industry's Standard Dummy Text Ever", 'luzuk' )
    )
);
$wp_customize->add_control(
    'fea_txt',
    array(
        'settings'      => 'fea_txt',
        'section'       => 'feature_area',
        'type'          => 'textarea',
        'label'         => __( "Heading Text ", 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'fea_headingtxtClr', 'feature_area', 'Heading Text Color', '#fff');

// *********

$wp_customize->add_setting('feature_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'feature_npp_heading',
        array(
            'settings'      => 'feature_npp_heading',
            'section'       => 'feature_area',
            'label'         => __( 'Number Of Feature To Show', 'Luzuk Premium' ),
        )
    )
);    
$wp_customize->add_setting('feature_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 5));
$wp_customize->add_control(
    'feature_npp_count',
    array(
        'settings'      => 'feature_npp_count',
        'section'       => 'feature_area',
        'type'          => 'select',
        'label'         => __( 'Number Of Feature To Show', 'Luzuk Premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8)
    )
);

//FEATURED PAGES
for( $i = 1; $i <= 8; $i++ ){
    $wp_customize->add_setting(
        'feature_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'feature_header'.$i,
            array(
                'settings'      => 'feature_header'.$i,
                'section'       => 'feature_area',
                'label'         => __( 'Feature Box ', 'Luzuk Premium' ).$i
            )
        )
    );

        $wp_customize->add_setting(
        'feature_page_icon'.$i,
        array(
            'default'           => 'fa fa-pencil',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'feature_page_icon'.$i,
            array(
                'settings'      => 'feature_page_icon'.$i,
                'section'       => 'feature_area',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'Luzuk Premium' ),
            )
        )
    );

lzAddElement($wp_customize, 'feature_page_title'.$i, 'feature_area', $type = 'text', $label="Feature Title", $callback ='luzuk_sanitize_text', $default='Precision in Design');

lzAddElement($wp_customize, 'feature_page_txt'.$i, 'feature_area', $type = 'textarea', $label="Feature Text", $callback ='luzuk_sanitize_text', $default='Our team’s expertise ensures professionalism and reliability, making your real estate journey seamless');

// lzAddElement($wp_customize, 'fea_rbtn'.$i, 'feature_area', $type = 'text', $label="Feature Button Text", $callback ='luzuk_sanitize_text', $default='Read More');

lzAddElement($wp_customize, 'luzuk_features_page_url_'.$i, 'feature_area', $type = 'text', $label=" Link", $callback ='esc_url', $default='Add link here');
    
}


lzCustomLable($wp_customize, 'feature_sectioncolor', 'feature_area', 'Section Color');

addColorPalatOption($wp_customize, 'feature_bxbgClr', 'feature_area', 'Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'feature_bxbghvClr', 'feature_area', 'Box BG Hover Color', '#EBF5F5');

addColorPalatOption($wp_customize, 'feature_icnClr', 'feature_area', 'Icon Color', '#1B4446');

addColorPalatOption($wp_customize, 'feature_titleClr', 'feature_area', 'Title Color', '#1B4446');

addColorPalatOption($wp_customize, 'feature_txtClr', 'feature_area', 'Text Color', '#444');
